.groupBtn {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;

  & button {
    padding: 15px 25px;
    margin-top: 25px;
    background-color: #121212;
    color: #F8F8F8;
    cursor: pointer;
    text-transform: capitalize;
  }
  & .logout{
    padding: 12px 23px;
    background-color: transparent;
    border: 3px solid black;
    color: black;
  }
  & .dsbl {
    background-color: #495057;
    cursor: not-allowed;
  }
  & .disable {
    overflow: hidden;
    position: relative;
    cursor: wait;
    padding: 13px;

    &::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 120rem;
      height: 100%;
      border-radius: inherit;
      cursor: wait;
      background: #495057 repeating-linear-gradient(
                      60deg,
                      transparent,
                      transparent 0.75rem,
                      rgba(11, 177, 127, 0.5) 0.75rem,
                      rgba(11, 177, 127, 0.5) 1.5rem
      );

      animation: move 1s infinite linear;
    }

    & .disableText {
      width: 100%;
      height: 42px;
      position: relative;
      z-index: 1;
      cursor: wait;
      color: #F8F8F8;
    }
  }
}


@keyframes move {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-1.75rem);
  }
}